Subject: Re: bug#10245: 23.3; handle Common Lisp :documentation strings

From: Robert Brown <[email-masked]>
Date: Thu, 8 Dec 2011 11:07:45 -0500

Stefan Monnier writes:
 > Thanks.  This would be a welcomed addition, for 24.2 (24.1 is in testing
 > already so it's too late to add such features).  But I think it needs
 > a bit of massaging first, so that this new feature is not enabled in
 > emacs-lisp-mode.  E.g. I'd maybe change
 > lisp-font-lock-syntactic-face-function to
 > (run-hook-with-args-until-success 'lisp-string-in-doc-position-functions
 > state) and then add string-after-documentation-keyword-p to this hook
 > when in Common Lisp mode.  If you can provide such a thing as a patch
 > (i.e. output of "bzr diff" or "diff -u"), that would be even better.

OK, I'll give that a try.  I'll have to look at how Emacs Lisp mode and Common
Lisp mode interact.  The latter seems to inherit a lot of functionality from
the former ... I'm not even sure they are really distinct.

bob